
import {
    FormsModule,
    ReactiveFormsModule,
} from '@angular/forms';

import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {NgxNeditorModule} from '@notadd/ngx-neditor';

// 管道
import {
    TimesPipe,
    TextareaPipe,
    SystemPipe,
    CouponStatusPipe,
    CouponCodePipe,
    AuditTypePipe,
    AuditStatusPipe,
    PaymodelPipe,
    PaytypePipe,
    DiscountTypePipe,
    OrderCouponStatusPipe,
    DiscountStatusPipe,
    DisplayAreaPipe,
    DiscountCodeStatusPipe,
    RechargePricePipe,
    RechargeStatusPipe,
    ChannelMarkPipe,
    TypePipe,
    StatusPipe,
    RechargePayTypePipe,
    RefundSourcePipe,
    RefundStatusPipe,
    PreOrderStatusPipe,
    ButtonPipe,
    DiscountPackageStatusPipe,
    PriceShowPipe,
    ShowTypePipe,
    EnergyTypePipe,
    CompanyAmountRecordTypePipe,
    CompanyAmountRecordSourceTypePipe,
    OilCardBindStatusPipe,
    OilCardRecordTypePipe,
    OilCardRecordSourceTypePipe,
    RechargePlatformPipe,
    PriceStatusPipe,
    GasStaffStatusPipe,
    PayStatusPipe,
    ChlidRechargeStatusPipe,
    SourceTypePipe,
    GasClassGroupTaskStatusPipe,
    GasOrderStatusPipe,
    OrderStatusPipe,
    OrderPayTypePipe,
    OrderChildGoodsTypePipe,
    OrderRefundStatusPipe,
    OilCardStatusPipe,
    OrderOilStatusPipe,
    PlatformPipe,
    OilTypePipe,
    OilPriceTaskStatusPipe,
    OilPriceTaskExecutionTypePipe, OilPriceTaskPriceTypePipe, IntegralTypePipe, IntegralProductPipe, ProductTypePipe, OrderRefundOpuserTypePipe, OrderChildStatusPipe
} from './pipes';
import {MsgTypePipe} from "./pipes/msg/msg-type.pipe";



const PIPES = [
    TimesPipe,
    TextareaPipe,
    SystemPipe,
    CouponStatusPipe,
    CouponCodePipe,
    AuditTypePipe,
    AuditStatusPipe,
    OrderCouponStatusPipe,
    PaymodelPipe,
    PaytypePipe,
    DiscountTypePipe,
    DiscountStatusPipe,
    DisplayAreaPipe,
    DiscountCodeStatusPipe,
    RechargePricePipe,
    RechargeStatusPipe,
    ChannelMarkPipe,
    ChannelMarkPipe,
    TypePipe,
    StatusPipe,
    RechargePayTypePipe,
    RefundSourcePipe,
    RefundStatusPipe,
    PreOrderStatusPipe,
    ButtonPipe,
    DiscountPackageStatusPipe,
    ShowTypePipe,
    PriceShowPipe,
    EnergyTypePipe,
    CompanyAmountRecordTypePipe,
    CompanyAmountRecordSourceTypePipe,
    OilCardStatusPipe,
    OilCardBindStatusPipe,
    OilCardRecordTypePipe,
    OilCardRecordSourceTypePipe,
    GasStaffStatusPipe,
    OilTypePipe,
    RechargePlatformPipe,
    PriceStatusPipe,
    OilPriceTaskStatusPipe,
    OilPriceTaskExecutionTypePipe,
    OilPriceTaskPriceTypePipe,
    PayStatusPipe,
    ChlidRechargeStatusPipe,
    SourceTypePipe,
    GasClassGroupTaskStatusPipe,
    GasOrderStatusPipe,
    PlatformPipe,
    OrderOilStatusPipe,
    OrderStatusPipe,
    OrderPayTypePipe,
    OrderChildGoodsTypePipe,
    OrderRefundStatusPipe,
    OrderRefundOpuserTypePipe,
    OrderChildStatusPipe,
];


@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        ReactiveFormsModule,
        NgZorroAntdModule,
        NgxNeditorModule
    ],
    declarations: [
        ...PIPES,
        IntegralTypePipe,
        IntegralProductPipe,
        ProductTypePipe,
        MsgTypePipe,

    ],

    exports: [
        ...PIPES,
        IntegralTypePipe,
        IntegralProductPipe,
        ProductTypePipe,
        MsgTypePipe,

    ],
})

export class AppCommonModule {
    static forRoot() {
        return {
            ngModule: AppCommonModule,
            providers: [],
        };
    }
}

